Skip to main content
GET
Load a document with its content

Authorizations

Authorization
string
header
required

Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.

Path Parameters

id
string
required

Query Parameters

format
enum<string>

markdown adds a markdown rendering of a page's content next to the editor JSON. Ignored for spreadsheets.

Available options:
markdown

Response

id
string
required
title
string
required
kind
enum<string>
required
Available options:
document,
spreadsheet
parentDocumentId
string | null
required
contactId
string<uuid> | null
required

The CRM contact the document is linked to.

format
enum<string>
required

plate for a page, univer for a spreadsheet.

Available options:
plate,
univer
content
object
required
icon
string | null
required
coverImage
string | null
required
kbEnabled
boolean
required

Whether Mira uses this document as knowledge.

contact
object | null
required

The linked contact. name is null when you may not see that contact.

ancestors
object[]
required

Parent pages from the root down to the direct parent.

updatedAt
string<date-time>
required
markdown
string

The page as Markdown. Only present when requested with format=markdown on a page.